Subject: Re: bug#65797: `buffer-match-p` should not use `func-arity`

From: Philip Kaludercic <[email-masked]>
Date: Wed, 13 Sep 2023 21:50:27 +0000

Stefan Monnier <[email-masked]> writes:

>> FWIW The intention here was to be able and specify simpler conditions
>> that don't have to handle the alist.
>
> You mean for `display-buffer-alist`?
> Do you have examples that rely on this?

>From the core?  No, I cannot think of an example, but any user
configuration may make use of this feature.

I am not sure if I just missed it, but is there no technical solution
around the advice issue?  Couldn't `func-arity' check if the actual
function and the advice function have the same arity, and return the
right value in that case?  My impression is that in 99% of the cases,
advice isn't used to increase or decrease the arity of a function.

>         Stefan